<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.appcompat.widget.AppCompatImageView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:src="@mipmap/ic_merchant_top_bg"
        app:layout_constraintDimensionRatio="h,1125:528"
        app:layout_constraintTop_toTopOf="parent" />

    <LinearLayout
        android:id="@+id/layout_search"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_36"
        android:layout_gravity="center_vertical"
        android:layout_marginStart="@dimen/dp_16"
        android:layout_marginTop="@dimen/dp_48"
        android:layout_marginEnd="@dimen/dp_16"
        android:background="@drawable/shape_white_cor10"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingStart="@dimen/dp_12"
        android:paddingEnd="@dimen/dp_12"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/tv_city"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableEnd="@mipmap/ic_option_arrow_down"
            android:drawablePadding="@dimen/dp_4"
            android:gravity="center"
            android:text="全国"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_14" />

        <View
            android:layout_width="@dimen/dp_1"
            android:layout_height="@dimen/dp_24"
            android:layout_marginStart="@dimen/dp_12"
            android:background="@color/color_eeeeee" />

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/et_search"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_10"
            android:layout_weight="1"
            android:background="@null"
            android:imeOptions="actionSearch"
            android:drawableStart="@mipmap/ic_search"
            android:drawablePadding="@dimen/dp_11"
            android:hint="输入关键词"
            android:maxLines="1"
            android:singleLine="true"
            android:textColor="@color/color_1a1a1a"
            android:textColorHint="@color/color_bcbcbc"
            android:textSize="@dimen/sp_14" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_clear_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_10"
            android:src="@mipmap/ic_clear_text"
            android:visibility="gone" />
    </LinearLayout>

    <com.angcyo.tablayout.DslTabLayout
        android:id="@+id/tabLayout"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_34"
        android:layout_marginTop="@dimen/dp_20"
        app:layout_constraintTop_toBottomOf="@id/layout_search"
        app:tab_deselect_color="@color/color_1a1a1a"
        app:tab_draw_indicator="false"
        app:tab_enable_gradient_text_size="false"
        app:tab_enable_text_bold="false"
        app:tab_item_auto_equ_width="false"
        app:tab_select_color="@color/color_125ffe"
        app:tab_text_max_size="@dimen/sp_16"
        app:tab_text_min_size="@dimen/sp_14">

        <TextView
            android:layout_width="@dimen/dp_54"
            android:layout_height="@dimen/dp_34"
            android:layout_marginStart="@dimen/dp_16"
            android:background="@drawable/shape_white_cor6"
            android:gravity="center"
            android:text="全部" />

        <TextView
            android:layout_width="@dimen/dp_54"
            android:layout_height="@dimen/dp_34"
            android:layout_marginStart="@dimen/dp_12"
            android:background="@drawable/shape_white_cor6"
            android:gravity="center"
            android:text="服务" />

        <TextView
            android:layout_width="@dimen/dp_54"
            android:layout_height="@dimen/dp_34"
            android:layout_marginStart="@dimen/dp_12"
            android:background="@drawable/shape_white_cor6"
            android:gravity="center"
            android:text="产品" />

        <TextView
            android:layout_width="@dimen/dp_54"
            android:layout_height="@dimen/dp_34"
            android:layout_marginStart="@dimen/dp_12"
            android:background="@drawable/shape_white_cor6"
            android:gravity="center"
            android:text="其他" />

    </com.angcyo.tablayout.DslTabLayout>

    <androidx.viewpager.widget.ViewPager
        android:id="@+id/viewPager"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="@dimen/dp_9"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tabLayout" />

</androidx.constraintlayout.widget.ConstraintLayout>